/*===========================================================
*	IWGrid.inc
*	IWGrid Include File
*	Copyright (c)T.L. McCaughn 2013 
*============================================================*/
	$USE "IWGrid.lib"	
	$include "windowssdk.inc"
	DECLARE EXTERN IWG_AutoAddRow(WINDOW win,  UINT id, INT ar)
	DECLARE EXTERN IWG_AutoNumberHeader(WINDOW win,  UINT id, int num)
	DECLARE EXTERN IWG_ColResizing(WINDOW win,  UINT id, INT resize)
	DECLARE EXTERN IWG_Create(WINDOW win, string caption, INT l, INT t, INT w, INT h, UINT id)
	DECLARE EXTERN IWG_DeleteAllCells(WINDOW win,  UINT id)
	DECLARE EXTERN IWG_DeleteCell(WINDOW win,  UINT id, INT r, INT c)
	DECLARE EXTERN IWG_GetCellDat(WINDOW win, UINT id, INT r, INT c),STRING
	DECLARE EXTERN IWG_GetCellDecPlaces(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellNegParenth(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellNoSymbol(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellRoundDec(WINDOW win,  UINT id, INT r, INT c),int
	DECLARE EXTERN IWG_GetCellButtonCB(WINDOW win,  UINT id, INT r, INT c),pointer
	DECLARE EXTERN IWG_GetColumns(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetColumnWidth(WINDOW win,  UINT id, INT column),int
	DECLARE EXTERN IWG_GetCurrentCol(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetCurrentRow(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetDim(WINDOW win, UINT id, INT r byref, INT c byref)
	DECLARE EXTERN IWG_GetHeaderRowHeight(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetRowHeight(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetRows(WINDOW win,  UINT id),int
	DECLARE EXTERN IWG_GetSymbol(WINDOW win,  UINT id, INT r, INT c),string
	DECLARE EXTERN IWG_SetHiLightRow(WINDOW win,  UINT id, INT hl)
	DECLARE EXTERN IWG_InitCellDat(WINDOW win, UINT id, INT r, INT c, string text, opt int celltype=1, opt int flags=0)
	DECLARE EXTERN IWG_SetCellCombo(WINDOW win,  UINT id, INT r, INT c, pointer dat)
	DECLARE EXTERN IWG_SetCellDat(WINDOW win, UINT id, INT r, INT c, string dat)
	DECLARE EXTERN IWG_SetCellDecPlaces(WINDOW win,  UINT id, INT r, INT c, int dp)
	DECLARE EXTERN IWG_SetCellNegParenth(WINDOW win,  UINT id, INT r, INT c, int pr)
	DECLARE EXTERN IWG_SetCellNoSymbol(WINDOW win,  UINT id, INT r, INT c, int nosym)
	DECLARE EXTERN IWG_SetCellProt(WINDOW win, UINT id, INT r, INT c, int p)
	DECLARE EXTERN IWG_SetCellRoundDec(WINDOW win,  UINT id, INT r, INT c, int round)
	DECLARE EXTERN IWG_SetCellButtonCB(WINDOW win,  UINT id, INT r, INT c, pointer dat)
	DECLARE EXTERN IWG_SetCellColor(WINDOW win,  UINT id, INT r, INT c, UINT fg, UINT bg)
	DECLARE EXTERN IWG_GetCellFGColor(WINDOW win,  UINT id, INT r, INT c),uint
	DECLARE EXTERN IWG_GetCellBGColor(WINDOW win,  UINT id, INT r, INT c),uint
	DECLARE EXTERN IWG_SetColumnAutoWidth(WINDOW win,  UINT id, INT aw)
	DECLARE EXTERN IWG_SetColWidth(WINDOW win,  UINT id, int c, INT w)
	DECLARE EXTERN IWG_SetCursorPosition(WINDOW win,  UINT id, INT r, INT c)
	DECLARE EXTERN IWG_SetDim(WINDOW win, UINT id, INT r, INT c)
	DECLARE EXTERN IWG_SetEllipsis(WINDOW win,  UINT id, INT el)
	DECLARE EXTERN IWG_SetFont(WINDOW win, UINT id, INT texttype, STRING typeface, INT height, INT weight,OPT UINT flags=0)
	DECLARE EXTERN IWG_SetGridColor(WINDOW win,  UINT id, INT typ, UINT clr1, OPT UINT clr2=0)
	DECLARE EXTERN IWG_SetGridProt(WINDOW win,  UINT id, int p)
	DECLARE EXTERN IWG_SetHeaderHeight(WINDOW win,  UINT id, int height)
	DECLARE EXTERN IWG_SetRowHeight(WINDOW win,  UINT id, INT rh)
	DECLARE EXTERN IWG_SetSymbol(WINDOW win,  UINT id, INT r, INT c, string sym)
	DECLARE EXTERN IWG_SetTitle(WINDOW win,  UINT id, string text)
	DECLARE EXTERN IWG_SetTitleHeight(WINDOW win,  UINT id, INT th)
	DECLARE EXTERN IWG_ShowHeader(WINDOW win,  UINT id, int show)
	DECLARE EXTERN IWG_ShowRowNumbers(WINDOW win,  UINT id, int show)
	DECLARE EXTERN IWG_ShowTitleShadow(WINDOW win,  UINT id, INT s)
	DECLARE EXTERN IWG_ShowHeaderShadow(WINDOW win,  UINT id, INT s)

	setid "IWG_PROTECTCELL",	0x1		'Left align text in cell
	setid "IWG_LEFTALIGN",		0x0		'Left align text in cell
	setid "IWG_RIGHTALIGN",		0x2		'Right align text in cell
	setid "IWG_CENTERALIGN",	0x4		'Center text in cell
	setid "IWG_CASE_ANY",		0x0		'Case as typed
	setid "IWG_CASE_UPPER",		0x8		'Force Upper case
	setid "IWG_CASE_LOWER",		0x10		'Force Lower case
	setid "IWG_NOSCALE",			0x20		'No scaling  of images
	setid "IWG_RATIO",			0x40		'Maintain images ratio
	setid "IWGANY" , 				1    	 	'Any
	setid "IWGTXTNUM" , 			2    	 	'Alpha-Numeric
	setid "IWGTXT" , 				3    	 	'Alpha
	setid "IWGNUMI" , 			4   	 	'Numeric Integer
	setid "IWGNUMF" , 			5   	 	'Numeric Float
	setid "IWGHEX" , 				6   	 	'Hex
	setid "IWGCOMBO" , 			7   	 	'Combobox
	setid "IWGCHECK" ,			8   	 	'Checked checkbox
	setid "IWGBUTTON" , 			9  	 	'Edit plus button
	setid "IWGMASK" , 			10     	'Masked input
	setid "IWGMONEY" , 			11     	'Currency input
	setid "IWGLABEL" , 			12     	'Label
	setid "IWGIMAGE" , 			13     	'image
	setid "IWGCELLFONT" , 		1     	'global cell font
	setid "IWGHEADERFONT" , 	2     	'header font
	setid "IWGTITLEFONT" , 		3     	'title font
	setid "IWGHEADERCOLOR" , 	2     	'header color
	setid "IWGTITLECOLOR" , 	3     	'title color
	setid "IWGCURSORCOLOR" ,	4
	setid "IWGPROTECTCOLOR" ,	5
	setid "IWGUNPROTECTCOLOR" ,6
	setid "IWGHILIGHTCOLOR" ,	7
	setid "IWGHILIGHTTEXTCOLOR",8
	setid "IWGGRIDLINECOLOR",	9
	setid "IWGTITLESHADOWCLR",	10
	setid "IWGHEADERSHADOWCLR",11